Name:          jdepend-maven-plugin
Version:       2.0
Release:       %mkrel 1.beta2.1
Summary:       JDepend Maven Plugin
Group:         Development/Java
License:       BSD
Url:           http://mojo.codehaus.org/jdepend-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/jdepend-maven-plugin-2.0-beta-2 maven-plugin-jdepend-2.0
# tar czf maven-plugin-jdepend-2.0-src-svn.tar.gz maven-plugin-jdepend-2.0
Source0:       maven-plugin-jdepend-2.0-src-svn.tar.gz
Patch0:        maven-plugin-jdepend-2.0-JDependMojo.patch
Patch1:        maven-plugin-jdepend-2.0-ReportGenerator.patch

BuildRequires: java-devel
BuildRequires: jdepend
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: mojo-parent

Requires:      jdepend
Requires:      jpackage-utils
Requires:      maven
Requires:      mojo-parent

BuildArch:     noarch
Obsoletes:     maven-plugin-jdepend
Provides:      maven-plugin-jdepend

%description
Maven 2 plugin that generates JDepend reports for your projects.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils
Obsoletes:     maven-plugin-jdepend-javadoc
Provides:      maven-plugin-jdepend-javadoc

%description javadoc
JDepend Maven Plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n maven-plugin-jdepend-%{version}
%patch0 -p0
%patch1 -p0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=jdepend \
  -DartifactId=jdepend \
  -Dversion=2.9.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath jdepend) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL
  
mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 0644 target/jdepend-maven-plugin-%{version}*.jar %{buildroot}%{_javadir}/jdepend-maven-plugin.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jdepend-maven-plugin.pom
%add_to_maven_depmap org.codehaus.mojo jdepend-maven-plugin %{version}-beta-2 JPP jdepend-maven-plugin

mkdir -p %{buildroot}%{_javadocdir}/jdepend-maven-plugin
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jdepend-maven-plugin/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jdepend-maven-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/jdepend-maven-plugin



%changelog

* Tue Oct 18 2011 gil <gil> 2.0-1.beta2.1.mga2
+ Revision: 156413
- imported package jdepend-maven-plugin


* Sat Jul 09 2011 gil <gil> 2.0-0.%%mkrel
- initial rpm

